Skip to content
SynupAPI
Get an API key
GETapi.synup.com/api/v4/locations-by-store-codes

Get locations by store codes

This API retrieves location details based on specified store codes. Using unique store codes, allows businesses to fetch location-specific information such as name, address, contact details, business hours, and other relevant attributes.

Requires an API key. Send it as Authorization: API <your-key> — see Getting started.

Parameters

Query

NameTypeRequiredDescription
storeCodesstringrequiredArray of store codes in JSON string format.

Request

Request
curl -X GET 'https://api.synup.com/api/v4/locations-by-store-codes?storeCodes=' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json'

Responses

StatusDescription
200Successful response
400Bad request - Invalid store codes format
401Unauthorized - Invalid or missing API key
404One or more store codes not found
Example response
{
  "data": {
    "getLocationsByStoreCodes": [
      {
        "accountId": 11073,
        "name": "Sample Store",
        "storeId": "jio678",
        "city": "Chicago",
        "countryIso": "US"
      }
    ]
  }
}

Response body

NameTypeRequiredDescription
dataobjectrequired
data.getLocationsByStoreCodesarray of objectrequired
data.getLocationsByStoreCodes[].accountIdintegeroptional
data.getLocationsByStoreCodes[].addOnsarray of stringoptional
data.getLocationsByStoreCodes[].additionalCategoryIdsarray of stringoptional
data.getLocationsByStoreCodes[].additionalCategoryNamesarray of stringoptional
data.getLocationsByStoreCodes[].additionalInfonulloptional
data.getLocationsByStoreCodes[].additionalPhonesarray of stringoptional
data.getLocationsByStoreCodes[].approvedstringoptional
data.getLocationsByStoreCodes[].archivalScheduledAtnulloptional
data.getLocationsByStoreCodes[].archivedbooleanoptional
data.getLocationsByStoreCodes[].archivedAtnulloptional
data.getLocationsByStoreCodes[].bizUrlstringoptional
data.getLocationsByStoreCodes[].bizUrlUtmbooleanoptional
data.getLocationsByStoreCodes[].bookingUrlnulloptional
data.getLocationsByStoreCodes[].businessHoursarray of stringoptional
data.getLocationsByStoreCodes[].cancellationScheduledAtnulloptional
data.getLocationsByStoreCodes[].categoryIdintegeroptional
data.getLocationsByStoreCodes[].citystringoptional
data.getLocationsByStoreCodes[].contentPreferredLanguagestringoptional
data.getLocationsByStoreCodes[].countryCodestringoptional
data.getLocationsByStoreCodes[].countryIsostringoptional
data.getLocationsByStoreCodes[].createErrorsarray of stringoptional
data.getLocationsByStoreCodes[].createdDatestringoptional
data.getLocationsByStoreCodes[].customAttributesarray of objectoptional
data.getLocationsByStoreCodes[].customAttributes[].archivedbooleanrequired
data.getLocationsByStoreCodes[].customAttributes[].enumValuesarray of stringrequired
data.getLocationsByStoreCodes[].customAttributes[].namestringrequired
data.getLocationsByStoreCodes[].customAttributes[].slugstringrequired
data.getLocationsByStoreCodes[].customAttributes[].typestringrequired
data.getLocationsByStoreCodes[].customAttributes[].valuearray of stringrequired
data.getLocationsByStoreCodes[].databaseIdintegeroptional
data.getLocationsByStoreCodes[].descriptionstringoptional
data.getLocationsByStoreCodes[].enabledSiteIdsarray of stringoptional
data.getLocationsByStoreCodes[].facebookUrlnulloptional
data.getLocationsByStoreCodes[].folderIdstringoptional
data.getLocationsByStoreCodes[].folderNamestringoptional
data.getLocationsByStoreCodes[].franchisebooleanoptional
data.getLocationsByStoreCodes[].googleAdsPhonenulloptional
data.getLocationsByStoreCodes[].googleVerificationStatusobjectoptional
data.getLocationsByStoreCodes[].googleVerificationStatus.messagenullrequired
data.getLocationsByStoreCodes[].googleVerificationStatus.statusstringrequired
data.getLocationsByStoreCodes[].googleplusUrlnulloptional
data.getLocationsByStoreCodes[].hideAddressbooleanoptional
data.getLocationsByStoreCodes[].idstringoptional
data.getLocationsByStoreCodes[].instagramUrlnulloptional
data.getLocationsByStoreCodes[].isRestaurantbooleanoptional
data.getLocationsByStoreCodes[].lastUpdatedDatestringoptional
data.getLocationsByStoreCodes[].latitudestringoptional
data.getLocationsByStoreCodes[].linkedinUrlnulloptional
data.getLocationsByStoreCodes[].locationPhotosarray of objectoptional
data.getLocationsByStoreCodes[].locationPhotos[].databaseIdintegerrequired
data.getLocationsByStoreCodes[].locationPhotos[].fileSizeintegerrequired
data.getLocationsByStoreCodes[].locationPhotos[].idstringrequired
data.getLocationsByStoreCodes[].locationPhotos[].namestringrequired
data.getLocationsByStoreCodes[].locationPhotos[].starredbooleanrequired
data.getLocationsByStoreCodes[].locationPhotos[].thumbnailUrlstringrequired
data.getLocationsByStoreCodes[].locationPhotos[].typestringrequired
data.getLocationsByStoreCodes[].locationPhotos[].urlstringrequired
data.getLocationsByStoreCodes[].longitudestringoptional
data.getLocationsByStoreCodes[].managedServiceSiteBucketsarray of stringoptional
data.getLocationsByStoreCodes[].managedServiceSitesarray of stringoptional
data.getLocationsByStoreCodes[].moreHoursarray of stringoptional
data.getLocationsByStoreCodes[].namestringoptional
data.getLocationsByStoreCodes[].offeringsUrlnulloptional
data.getLocationsByStoreCodes[].ownerEmailnulloptional
data.getLocationsByStoreCodes[].ownerNamenulloptional
data.getLocationsByStoreCodes[].packagestringoptional
data.getLocationsByStoreCodes[].paymentMethodsarray of stringoptional
data.getLocationsByStoreCodes[].phonenulloptional
data.getLocationsByStoreCodes[].pinterestUrlnulloptional
data.getLocationsByStoreCodes[].planIdintegeroptional
data.getLocationsByStoreCodes[].planNamestringoptional
data.getLocationsByStoreCodes[].postalCodestringoptional
data.getLocationsByStoreCodes[].publisherAttributesarray of stringoptional
data.getLocationsByStoreCodes[].reservationUrlnulloptional
data.getLocationsByStoreCodes[].serviceItemsarray of objectoptional
data.getLocationsByStoreCodes[].serviceItems[].categoryIdstringrequired
data.getLocationsByStoreCodes[].serviceItems[].countryIsonullrequired
data.getLocationsByStoreCodes[].serviceItems[].currencyCodenullrequired
data.getLocationsByStoreCodes[].serviceItems[].descriptionnullrequired
data.getLocationsByStoreCodes[].serviceItems[].idstringrequired
data.getLocationsByStoreCodes[].serviceItems[].languageCodenullrequired
data.getLocationsByStoreCodes[].serviceItems[].namestringrequired
data.getLocationsByStoreCodes[].serviceItems[].pricenullrequired
data.getLocationsByStoreCodes[].stateIsostringoptional
data.getLocationsByStoreCodes[].stateNamestringoptional
data.getLocationsByStoreCodes[].storeIdstringoptional
data.getLocationsByStoreCodes[].streetnulloptional
data.getLocationsByStoreCodes[].street1nulloptional
data.getLocationsByStoreCodes[].subCategoryIdintegeroptional
data.getLocationsByStoreCodes[].subCategoryNamestringoptional
data.getLocationsByStoreCodes[].taglinenulloptional
data.getLocationsByStoreCodes[].tagsarray of stringoptional
data.getLocationsByStoreCodes[].temporarilyClosedbooleanoptional
data.getLocationsByStoreCodes[].tiktokUrlnulloptional
data.getLocationsByStoreCodes[].toplineMessagenulloptional
data.getLocationsByStoreCodes[].toplineMessageTextnulloptional
data.getLocationsByStoreCodes[].twitterUrlnulloptional
data.getLocationsByStoreCodes[].uidstringoptional
data.getLocationsByStoreCodes[].updatedAtstringoptional
data.getLocationsByStoreCodes[].videosarray of stringoptional
data.getLocationsByStoreCodes[].voiceStatusintegeroptional
data.getLocationsByStoreCodes[].yearOfIncorporationnulloptional
data.getLocationsByStoreCodes[].youtubeUrlnulloptional